EAPI=6

PYTHON_COMPAT=( python3_{8,9} )
inherit distutils-r1

DESCRIPTION="OneTimePass module"
HOMEPAGE="https://github.com/adeck/onetimepass https://pypi.org/project/onetimepass/"
SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 x86"

DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"

python_test() {
	"${EPYTHON}" test/test.py || die "Tests fail with ${EPYTHON}"
}
